//::///////////////////////////////////////////////
//:: Aura of Blinding
//:: NW_S1_AuraBlind.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Upon entering the aura of the creature the player
    must make a will save or be blinded because of the
    sheer ugliness or beauty of the creature.
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: May 25, 2001
//:://////////////////////////////////////////////

#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }


    //Set the AOE effect and place it in the world.  The Aura abilities
    //are all permamnent and do not require recasting.
    JXApplyAreaEffectToObject(AOE_MOB_BLINDING, OBJECT_SELF);

	JXPostSpellCastCode();
}
