//::///////////////////////////////////////////////
//:: Aura Unearthly Visage
//:: NW_S1_AuraUnEar.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Upon entering the aura of the creature the player
    must make a will save or be killed because of the
    sheer ugliness or beauty of the creature.
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: May 25, 2001
//:://////////////////////////////////////////////

#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }

    //Set and apply the AOE object
    JXApplyAreaEffectToObject(AOE_MOB_UNEARTHLY, OBJECT_SELF, HoursToSeconds(100));

	JXPostSpellCastCode();
}
