//::///////////////////////////////////////////////
//:: Summon Mephit
//:: NW_S1_SummMeph
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Summons a Steam Mephit
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: Aug 14, 2001
//:://////////////////////////////////////////////
//:: AFW-OEI 05/31/2006:
//::	Updated creature blueprint
//::	Changed duration to 10 minutes

#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }


    //Declare major variables
    int nMetaMagic = JXGetMetaMagicFeat();
    effect eSummon = EffectSummonCreature("c_firemephit",VFX_FNF_SUMMON_MONSTER_1);
   // effect eVis = EffectVisualEffect(VFX_FNF_SUMMON_MONSTER_1);
    //Apply the VFX impact and summon effect
    //JXApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, eVis, JXGetSpellTargetLocation());
    JXApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, eSummon, JXGetSpellTargetLocation(), 600.0f);

	JXPostSpellCastCode();
}
