//::///////////////////////////////////////////////
//:: Flesh to Stone
//:: x0_s0_fleshsto
//:: Copyright (c) 2002 Bioware Corp.
//:://////////////////////////////////////////////
/*
//:: The target freezes in place, standing helpless.
*/
//:://////////////////////////////////////////////
//:: Created By: Brent Knowles
//:: Created On: October 16, 2002
//:://////////////////////////////////////////////
#include "X0_I0_SPELLS"
#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{

/*
  Spellcast Hook Code
  Added 2003-06-20 by Georg
  If you want to make changes to all spells,
  check x2_inc_spellhook.nss to find out more

*/

    if (!X2PreSpellCastCode())
    {
    // If code within the PreSpellCastHook (i.e. UMD) reports FALSE, do not run this spell
        { JXPostSpellCastCode(); return; }
    }

// End of Spell Cast Hook


    //Declare major variables
    object oTarget = JXGetSpellTargetObject();
    int nCasterLvl = JXGetCasterLevel(OBJECT_SELF);

    if (MyResistSpell(OBJECT_SELF,oTarget) <1)
    {
       	DoPetrification(nCasterLvl, OBJECT_SELF, oTarget, JXGetSpellId(), JXGetSpellSaveDC());
		//effect eHit = EffectVisualEffect(VFX_HIT_SPELL_TRANSMUTATION);	// VFX are handled in DoPetrification()
		//JXApplyEffectToObject(DURATION_TYPE_INSTANT, eHit, oTarget);
     }

	JXPostSpellCastCode();
}
