//::///////////////////////////////////////////////
//:: GreaterWildShape III - Drider Darkness Ability
//:: x2_s2_driderdark
//:: Copyright (c) 2003Bioware Corp.
//:://////////////////////////////////////////////
/*

  Drider Darkness Ability for polymorph type
  drider

*/
//:://////////////////////////////////////////////
//:: Created By: Georg Zoeller
//:: Created On: July, 07, 2003
//:://////////////////////////////////////////////

#include "x2_inc_shifter"
#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }


    //--------------------------------------------------------------------------
    // Enforce artifical use limit on that ability
    //--------------------------------------------------------------------------
    if (ShifterDecrementGWildShapeSpellUsesLeft() <1 )
    {
        FloatingTextStrRefOnCreature(83576, OBJECT_SELF);
        JXPostSpellCastCode();
        return;
    }

    //--------------------------------------------------------------------------
    // Create an darkness AOE object for 6 rounds
    //--------------------------------------------------------------------------
    location lTarget = JXGetSpellTargetLocation();
    int nDuration = 6;
    JXApplyAreaEffectAtLocation(AOE_PER_DARKNESS, lTarget, RoundsToSeconds(nDuration));

	JXPostSpellCastCode();
}





