//::///////////////////////////////////////////////
//:: Summon Baatezu
//:: x2_s1_summbaatez
//:: Copyright (c) 2003 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Summons an Erinyes to aid the caster in combat
*/
//:://////////////////////////////////////////////
//:: Created By: Georg Zoeller
//:: Created On: 2003-07-24
//:://////////////////////////////////////////////
//:: AFW-OEI 05/31/2006:
//::	Update creature blueprints.
//::	Change duration to 10 minutes.

#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }


    effect eSummon = EffectSummonCreature("c_erinyes",VFX_FNF_SUMMON_MONSTER_3);
    //Summon
    JXApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, eSummon, JXGetSpellTargetLocation(), 600.0f);

	JXPostSpellCastCode();
}
