//::///////////////////////////////////////////////
//:: Aura of Menace
//:: NW_S1_AuraMenac.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Upon entering the aura all creatures of type animal
    are struck with fear.
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: May 25, 2001
//:://////////////////////////////////////////////

#include "jx_inc_magic"
#include "x2_inc_spellhook"

void mainSpell();
void main()
{
	AssignCommand(JXGetCaster(), mainSpell());
}

void mainSpell()
{
	if (!X2PreSpellCastCode()) { JXPostSpellCastCode(); return; }

    //Set and apply AOE object
    JXApplyAreaEffectToObject(AOE_MOB_MENACE, OBJECT_SELF, HoursToSeconds(100));

	JXPostSpellCastCode();
}
