//::///////////////////////////////////////////////
//:: Aura Unearthly Visage On Enter
//:: NW_S1_AuraUnEaA.nss
//:: Copyright (c) 2001 Bioware Corp.
//:://////////////////////////////////////////////
/*
    Upon entering the aura of the creature the player
    must make a will save or be killed because of the
    sheer ugliness or beauty of the creature.
*/
//:://////////////////////////////////////////////
//:: Created By: Preston Watamaniuk
//:: Created On: May 25, 2001
//:://////////////////////////////////////////////
#include "NW_I0_SPELLS"

void main()
{
    //Declare major variables
    object oTarget = GetEnteringObject();
    effect eDeath = EffectDeath();
    effect eVis = EffectVisualEffect(VFX_IMP_DEATH);
  	if(GetIsEnemy(oTarget, JXGetAOERealCreator()))
	{
        //Fire cast spell at event for the specified target
        SignalEvent(oTarget, EventSpellCastAt(JXGetAOERealCreator(), SPELLABILITY_AURA_UNEARTHLY_VISAGE));
        //Make a saving throw check
        if(!MySavingThrow(SAVING_THROW_WILL, oTarget, JXGetSpellSaveDC(), SAVING_THROW_TYPE_DEATH))
        {
            //Apply the VFX impact and effects
            JXApplyEffectToObject(DURATION_TYPE_INSTANT, eDeath, oTarget);
            //JXApplyEffectToObject(DURATION_TYPE_INSTANT, eVis, oTarget);
        }
    }
}